Export an exception list
Server:
https://{kibana_url}
- POST /api/exception_lists/_export
- POST /s/{space_id}/api/exception_lists/_export
Refer to Spaces for more information.
Export an exception list and its associated items to an NDJSON file.
Query Parameters
-
idstring · min: 1required Exception list's identifier
-
list_idstring · min: 1required Exception list's human identifier
-
namespace_typerequired -
Values:
agnosticsingle -
include_expired_exceptions· default: truerequired Determines whether to include expired exceptions in the exported list
-
Values:
truefalse
Responses
Successful response
Response Type: string
Invalid input data response
One of:
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Exception list not found response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired